<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>polylib: eval_ehrhart.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.6 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
<h1>eval_ehrhart.h</h1><a href="eval__ehrhart_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#ifndef _eval_ehrhart_H_</span>
<a name="l00002"></a>00002 <span class="preprocessor"></span><span class="preprocessor">#define _eval_ehrhart_H_</span>
<a name="l00003"></a>00003 <span class="preprocessor"></span>
<a name="l00004"></a>00004 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00005"></a>00005 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00006"></a>00006 <span class="preprocessor">#endif</span>
<a name="l00007"></a>00007 <span class="preprocessor"></span>
<a name="l00008"></a>00008 <span class="keyword">extern</span> <span class="keywordtype">double</span> <a class="code" href="eval__ehrhart_8c.html#3f1631cacb65ff7aa29df190b4d30d00">compute_evalue</a> ( <a class="code" href="struct__evalue.html">evalue</a> *e, Value *list_args );
<a name="l00009"></a>00009 <span class="keyword">extern</span> Value *<a class="code" href="eval__ehrhart_8c.html#f970e7f69cbf548188a8f3754001a150">compute_poly</a> (<a class="code" href="struct__enumeration.html">Enumeration</a> *en, Value *list_args);
<a name="l00010"></a>00010 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="eval__ehrhart_8c.html#eaa7a17d905454d792bc8bb5409f941d">in_domain</a>(<a class="code" href="structpolyhedron.html">Polyhedron</a> *P, Value *list_args);
<a name="l00011"></a>00011 
<a name="l00012"></a>00012 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00013"></a>00013 <span class="preprocessor"></span>}
<a name="l00014"></a>00014 <span class="preprocessor">#endif</span>
<a name="l00015"></a>00015 <span class="preprocessor"></span>
<a name="l00016"></a>00016 <span class="preprocessor">#endif </span><span class="comment">/* _eval_ehrhart_H_ */</span>
<a name="l00017"></a>00017 
<a name="l00018"></a>00018 
<a name="l00019"></a>00019 
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Sep 15 18:33:59 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>
</body>
</html>
